﻿_root.setCells = function() {
	_root.allCells_array = new Array();
	for (var y = 0; y < numberOfCellInOneRow; y++) {
		_root.allCells_array[y] = new Array();
		for (var x = 0; x < numberOfCellInOneRow; x++) {
			_mc = _root.attachMovie("cell", "cell" + _root.getNextHighestDepth() + "_mc", _root.getNextHighestDepth());
			_mc._x = 10 + x * _mc._width;
			_mc._y = 10 + y * _mc._height;
			_mc.newState = 0;
			_mc.state = 0;
			_mc._array = new Array();
			_mc.gotoAndStop(1);
			_mc.onRelease = function() {
				this.state == 0 ? this.state = 1 : this.state = 0;
				this.gotoAndStop(this.state + 1);
			};
			_root.allCells_array[y].push(_mc);
		}
	}
};
function updateView() {
	for (var yk = 0; yk < _root.allCells_array.length; yk++) {
		for (var xk = 0; xk < _root.allCells_array[yk].length; xk++) {
			_mc = _root.allCells_array[yk][xk];
			_mc.gotoAndStop(_mc.state + 1);
		}
	}
}
_root.randomCells = function() {
	trace("## randomCells ##");
	for (var y = 0; y < _root.allCells_array.length; y++) {
		for (var x = 0; x < _root.allCells_array[y].length; x++) {
			_mc = _root.allCells_array[y][x];
			_mc.state = Math.round((Math.random()));
			_mc.gotoAndStop(_mc.state + 1);
		}
	}
};
_root.findNeighbours = function() {
	trace("## findNeighbours ##");
	for (var y = 0; y < _root.allCells_array.length; y++) {
		for (var x = 0; x < _root.allCells_array[y].length; x++) {
			// set Cell we like to find Neighbours
			_mc = _root.allCells_array[y][x];
			// find Neighbours
			for (var yi = -1; yi < 2; yi++) {
				for (var xi = -1; xi < 2; xi++) {
					if (_root.allCells_array[y + yi][x + xi] != _mc) {
						_mc._array.push(_root.allCells_array[y + yi][x + xi]);
					}
				}
			}
			_mc._array.clean(undefined);
		}
	}
};
_root.iterateCells = function() {
	for (var ym = 0; ym < _root.allCells_array.length; ym++) {
		for (var xm = 0; xm < _root.allCells_array[ym].length; xm++) {
			_mc = _root.allCells_array[ym][xm];
			var sum = 0;
			for (var i = 0; i < _mc._array.length; i++) {
				sum += _mc._array[i].state;
			}
			switch (sum) {
			case 3 :
				_mc.newState = 1;
				break;
			case 2 :
				_mc.newState = _mc.state;
				break;
			default :
				_mc.newState = 0;
			}
		}
	}
	for (var y = 0; y < _root.allCells_array.length; y++) {
		for (var x = 0; x < _root.allCells_array[y].length; x++) {
			_mc = _root.allCells_array[y][x];
			_mc.state = _mc.newState;
		}
	}
	_root.updateView();
};
_root.toggle = function() {
	trace("## toggle ##");
	if (_root.isPlaying == false) {
		play_btn.label = "Pause";
		_root.onEnterFrame = function() {
			_root.iterateCells();
		};
		_root.isPlaying = true;
	} else {
		play_btn.label = "Play";
		_root.isPlaying = false;
		_root.onEnterFrame = null;
	}
};
