﻿// ARRAY
// ********************************************************************************
// utility actionscript - PROTOTYPE MOVIECLIP - 
// Davide Beltrame : davb86@libero.it
// ********************************************************************************
//
// DEFINITION OF PROTOTYPE
// ********************************************************************************
// Array.prototype.clean()
// ********************************************************************************
//             Array.clean 
//           prototype function
// 
// by Davide Beltrame (Broly)
// e-mail: davb86@libero.it
// 
// This function remove the empty element 
// from an array
//
// Syntax
//
// arrayname.clean(to_delete)
//
// Parameter: to_delete <- element to delete from the array
// 
// ----------------------------------------
Array.prototype.clean = function(to_delete) {
	var a;
	for (a = 0; a < this.length; a++) {
		if (this[a] == to_delete) {
			this.splice(a, 1);
			a--;
		}
	}
	return this;
};